Skip to main content
DELETE
/
clients
/
{clientId}
/
credit-notes
/
{creditNoteId}
/
attachments
/
{attachmentId}
Delete Credit Note Attachment
curl --request DELETE \
  --url https://api.sandbox.flowpayroll.ai/v1/billing/clients/{clientId}/credit-notes/{creditNoteId}/attachments/{attachmentId} \
  --header 'X-Auth-Token: <api-key>'
{
  "content": {
    "data": {
      "id": "<string>",
      "creditNoteNumber": "<string>",
      "clientId": "<string>",
      "organisationId": "<string>",
      "date": "<string>",
      "subTotal": 123,
      "totalTax": 123,
      "amount": 123,
      "balanceDue": 123,
      "reference": "<string>",
      "invoiceReference": "<string>",
      "linkedInvoiceId": "<string>",
      "groupingKey": "<string>",
      "source": "<string>",
      "currencyCode": "<string>",
      "currencyRate": 123,
      "subtotalGroups": [
        {
          "label": "<string>",
          "amount": 123,
          "taxAmount": 123,
          "totalAmount": 123,
          "sortOrder": 123
        }
      ],
      "attachments": [
        {
          "id": "<string>",
          "fileName": "<string>",
          "url": "<string>",
          "description": "<string>",
          "s3Key": "<string>",
          "contentType": "<string>",
          "fileSize": 123,
          "uploadedDate": "<string>",
          "uploadedBy": "<string>",
          "downloadUrl": "<string>",
          "downloadUrlExpiresAt": "<string>"
        }
      ],
      "linesWithoutAttachmentsCount": 123,
      "linesWithoutPoNumberCount": 123,
      "allocations": [
        {
          "allocationId": "<string>",
          "creditNoteId": "<string>",
          "invoiceId": "<string>",
          "amount": 123,
          "date": "<string>",
          "invoice": {
            "invoiceId": "<string>",
            "invoiceNumber": "<string>"
          }
        }
      ],
      "externalId": "<string>",
      "externalProvider": "<string>",
      "lastSyncedAt": "<string>",
      "syncErrorMessage": "<string>",
      "syncErrorCode": "<string>",
      "externalProviderStatus": "<string>",
      "emailSent": true,
      "emailSentAt": "<string>",
      "emailSentBy": "<string>",
      "createdDate": "<string>",
      "createdBy": "<string>",
      "updatedDate": "<string>",
      "updatedBy": "<string>"
    },
    "metadata": {
      "dateFormat": "<string>",
      "dateTimeFormat": "<string>"
    }
  },
  "metadata": {
    "dateFormat": "<string>",
    "dateTimeFormat": "<string>"
  },
  "errors": [
    {
      "field": "<string>",
      "reasonText": "<string>",
      "reasonId": "<string>",
      "reasonParameters": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "message": {
    "text": "<string>",
    "textId": "<string>",
    "textParameters": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

Authentication token for API access

Path Parameters

clientId
string
required
creditNoteId
string
required
attachmentId
string
required

Response

OK

content
object
metadata
object
errors
object[] | null
message
object